# Generated from kyper_rails-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kyper_rails

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: MX Kyper Design System for Ruby on Rails!
License: MIT
URL: https://kyper.netlify.app/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 2.0.0
BuildRequires: ruby
BuildArch: noarch

%description
KyperRails is a utility for using the latest `mx-design-tokens` inside of
rails projects.
It also holds a subset of the MX Kyper Design System written in React.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 0.0.1-1
- Initial package
